<!DOCTYPE html>
<html lang="en">
{% load static %}

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'design.css' %}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
        crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="{% static 'js/lab8.js' %}" type="text/javascript"></script>
    <title>Landing Page</title>
</head>

<body onload="myFunction()" style="margin:0;">
    <div id="loader"></div>

    <div style="display:none;" id="myDiv" class="animate-bottom">
        <div class="background">
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 col-md-12">
                        <br><br>
                        <a href="{% url 'profile' %}" class="btn btn-default buttoncolor " role="button">See Alaya's
                            Profile</a>
                        <button id="ButtonMode">Theme Color</button>
                    </div>

                    <div class="col-lg-4 col-md-12">
                        <h1 class="monFont">Hello apa kabar?</h1>
                    </div>

                    <div class="col-lg-4 col-md-12">
                        <h1 style="font-family:georgia;"> </h1>
                    </div>

                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <section name="form">
                            <h2 style="font-family:georgia;">What's happening?</h2>
                            <form id="form" method="POST" action="{% url 'landingPage' %}">
                                {% csrf_token %}
                                {% for field in form %}
                                <p>{{ field.label_tag}} <br> {{ field }}</p>
                                {% endfor %}
                                <br>
                                <button type="submit" class="btn btn-default buttoncolor" action="{% url 'landingPage' %}">Submit</button>
                            </form>
                        </section>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <section name="form">
                            <h2 id="font">Status</h2>
                            <table style="width:90%" id=textbox>
                                {% if allviewstatus %}
                                <tr>
                                    <th>status :</th>
                                    <th>submitted time :</th>
                                </tr>
                                {% for status in allviewstatus %}
                                <tr>
                                    <td>{{ status.status }}</td>
                                    <td>{{ status.time }}</td>
                                </tr>
                                {% endfor %}
                                {% else %}
                                <h5>There's No Status</h5>
                                {% endif %}
                            </table>
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    var myVar;

    function myFunction() {
        myVar = setTimeout(showPage, 3000);
    }

    function showPage() {
        document.getElementById("loader").style.display = "none";
        document.getElementById("myDiv").style.display = "block";
    }
</script>

</html>